Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.nested.bean
Class NestedDefineTei

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagExtraInfo
            |
            +--org.apache.struts.taglib.logic.IterateTei
                  |
                  +--org.apache.struts.taglib.nested.bean.NestedDefineTei

public class NestedDefineTei
extends IterateTei

NestedDefineTei to make sure that the implied setting of the name property of a nested tag is properly handed in the casting of the defined object. Currently goes to String, but for the purposes of most nested objects they will benefit more from a simple Object casting.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $
Author:
  Arron Bates

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagExtraInfo
``

Constructor Summary
`NestedDefineTei()`

Method Summary
`javax.servlet.jsp.tagext.VariableInfo[]` | `getVariableInfo(javax.servlet.jsp.tagext.TagData data)` Return information about the scripting variables to be created.

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, isValid, setTagInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NestedDefineTei

    public NestedDefineTei()

Method Detail

### getVariableInfo

    public javax.servlet.jsp.tagext.VariableInfo[] getVariableInfo(javax.servlet.jsp.tagext.TagData data)

  Return information about the scripting variables to be created.

  Overrides:
    `getVariableInfo` in class `IterateTei`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation